%define ttfdir %_x11libdir/X11/fonts/syriac-ttf

Name: syriac-fonts-ttf
Version: 1.0
Release: alt1

Summary: Free Syriac TrueType fonts
Summary (ru_RU.UTF-8): Ассирийский TrueType шрифт 
License: GPL
Group: System/Fonts/True type
Source: USyriac.tar.bz2
BuildArch: noarch
PreReq: chkfontpath freetype fontconfig perl-base

%description
This Package provides a free Syriac TrueType font.

%description -l ru_RU.UTF-8
В этом пакете находится ассирийский TrueType шрифт. 

%prep
%setup -q -n USyriac

%install
mkdir -p $RPM_BUILD_ROOT%ttfdir
install -p -m644 *.ttf $RPM_BUILD_ROOT%ttfdir

cd $RPM_BUILD_ROOT%ttfdir
%_sbindir/ttmkfdir -o ./fonts.dir >& /dev/null
ln -s %_sysconfdir/X11/encodings.dir encodings.dir
 touch fonts.cache-1
cd -

%post
%_bindir/fc-cache %ttfdir
/usr/sbin/chkfontpath -q --add %ttfdir
if [ -x /usr/bin/gnome-font-install ]; then
  perl %_datadir/fonts/run-gnome-font-install \
	%_bindir/gnome-font-install %_datadir %_datadir > /dev/null 2>&1
fi
if [ -x /usr/bin/libgnomeprint-2.0-font-install ]; then
   %_bindir/libgnomeprint-2.0-font-install --smart > /dev/null 2>&1
fi

%postun
if [ "$1" = 0 ]; then
	/usr/sbin/chkfontpath -q --remove %ttfdir
fi

%files
%ttfdir
%doc README*

%changelog
* Fri Nov 29 2002 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt1
- ALTLinux build
